%{?nodejs_find_provides_and_requires}

# We cannot currently build the browser version due to a dependency loop
# npm(dryice) requires npm(uglify-js) which requres this
%global bootstrap 1

Name:           nodejs-source-map
Version:        0.5.1
%define subrel 1
Release:        %mkrel 1
Summary:        Node.js library that generates and consumes source maps

BuildArch:      noarch

Group:          System/Servers
License:        BSD
URL:            https://github.com/mozilla/source-map
Source0:        http://registry.npmjs.org/source-map/-/source-map-%{version}.tgz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs
BuildRequires:  npm(amdefine)

%if !0%{?bootstrap}
BuildRequires:  npm(dryice)
%endif

%description
A Node.js library that generates and consumes source maps,

A version suitable for use in the browser is available in the source-map
package.

%if !0%{?bootstrap}
%package -n source-map
Summary:    Client-side library that generates and consumes source maps
Group:          System/Servers

%description -n source-map
A client-side library that generates and source maps.  It is suitable for use
in browsers and is provided in original and minified form.

The Node.js library is available in the nodejs-source-map package.
%endif

%prep
%setup -q -n package

%build
%if !0%{?bootstrap}
#build the browser version
%__nodejs Makefile.dryice.js
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/source-map
cp -pr package.json *.js  lib %{buildroot}%{nodejs_sitelib}/source-map

%if !0%{?bootstrap}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p dist/*.js %{buildroot}%{_datadir}/%{name}/
%endif

%nodejs_symlink_deps


%files
%{nodejs_sitelib}/source-map
%doc README.md

%if !0%{?bootstrap}
%files -n source-map
%{_datadir}/%{name}
%doc README.md
%endif



%changelog
* Sat Nov 14 2015 spuhler <spuhler> 0.5.1-1.1.mga5
+ Revision: 903099
- added the source-map.js file
- upgrade to vers. 0.5.1
  * needed by new uglify-js
  * same version as in cauldron

* Wed Oct 15 2014 umeabot <umeabot> 0.1.33-2.mga5
+ Revision: 743097
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.33-1.mga5
+ Revision: 726925
- imported package nodejs-source-map


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 0.1.33-1.mga5
- import from FC

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.33-1
- update to upstream release 0.1.33

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.27-1
- update to upstream release 0.1.27
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- new upstream release 0.1.22

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-4
- add macro to enable dependency generation on EPEL6

* Sun Feb 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-3
- fix BuildRequires
- link dependencies in %%check
- add missing %%nodejs_symlink_deps

* Fri Feb 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-2
- fix Name in main package

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-1
- initial package generated by npm2rpm
